Bug 980245 - Calculated.DiskSpaceUsedPercentage metric in Cassandra plugin reports incorrect value
Calculated.DiskSpaceUsedPercentage metric in Cassandra plugin reports incorre...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.8
Unspecified Unspecified
unspecified Severity low (vote)
: ---
: RHQ 4.9
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: 951619
  Show dependency treegraph
 
Reported: 2013-07-01 16:34 EDT by John Sanda
Modified: 2014-03-25 16:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-25 16:55:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2013-07-01 16:34:30 EDT
Description of problem:
The Calculated.DiskSpaceUsedPercentage metric in StorageServiceComponent is calculated incorrectly. It is reporting the percentage of the entire file system used whereas it should be reporting the percentage of the file system used by Cassandra's data directories.

The description for Calculated.DiskSpaceUsedPercentage says that it also takes into account the installation path. The metric does not actually do this, nor do I think it should.

StorageServiceComponent does not need to calculate the disk space used by the data directories. We can obtain that value from the Load metric reported by StorageServiceMBean. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Stefan Negrea 2013-07-10 15:09:30 EDT
Updated the way this percentage is calculated. It is now based on the overall disk space available for the data file locations rather than just the one with the max utilization. Also, added a new metric for the total space used by Cassandra files.

Note You need to log in before you can comment on or make changes to this bug.